Subject: Re: What's cooking in git.git (May 2011, #11; Tue, 24)

From: Johannes Sixt <[email-masked]>
Date: Wed, 25 May 2011 12:29:12 +0200

Am 5/25/2011 11:36, schrieb Ævar Arnfjörð Bjarmason:
> Aren't you confusing ab/i18n-scripts-basic with ab/i18n-scripts?

No, I'm aware of the difference and purposes of the two topics.

>> ... if there were a NO_GETTEXT switch that simply avoids all
>> the problems on Windows. Is there such a switch?
> 
> There isn't and can't be without major re-organizations because
> shellscripts don't have something like the C preprocessor.

Well, we do preprocess the shell scripts. Wouldn't it be a matter of

if test -z '@@NO_GETTEXT@@'
then
	... regular eval_gettext definition ...
else
	... dummy eval_gettext definition ...
fi

with a corresponding extension of the sed script in the Makefile?

> But I'll just fix the Windows issue soon and submit a new series for
> inclusion in next.

Thanks! I just wanted to be sure that ab/i18n-scripts does not end up in
master in a state that leaves Windows in limbo.

-- Hannes